Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Troubles with sparc64 installation
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
slapsh
n00b
n00b


Joined: 09 Sep 2002
Posts: 2
Location: Kostroma

PostPosted: Mon Sep 09, 2002 6:08 am    Post subject: Troubles with sparc64 installation Reply with quote

I am download ISO files (dated 20 may 2002).

I am boot and did how-to entryes (all run OK):
Code:
...
emerge rsync
rm etc/make.profile
ln -s /usr/portage/profiles/default-sparc64-1.0 /etc/make.profile


But, on this poing I am type:
Code:
scripts/bootstrap.sh


I see this output:
Code:
Using somepackages
...
Using somepackages
Calculating dependencies

emerge: all ebuilds that could satisfy ">=sys-apps/portage-1.8.9_pre25" have been masked.
Calculating dependencies

emerge: all ebuilds that could satisfy ">=sys-apps/baselayout-1.7.3" have been masked.


I see what this is error (emerge system give me similar output).
What is this? Please help me :-)
Back to top
View user's profile Send private message
Kumba
Developer
Developer


Joined: 16 Jul 2002
Posts: 373
Location: Sigma 957

PostPosted: Mon Sep 09, 2002 6:52 am    Post subject: Reply with quote

First, I think you're trying to link to some *very* old sparc64 profiles.

Run this command instead:
Code:
rm etc/make.profile
ln -s /usr/portage/profiles/default-sparc64-1.4 /etc/make.profile


The current (or what will be) version of Gentoo will be 1.4, and this appears to include x86, PPC, and sparc/sparc64, so you'll wanna symlink to there.

You might also want to take a look at the messages I traded back and forth with another user in this thread: http://forums.gentoo.org/viewtopic.php?t=13072 on getting gentoo 1.4/sparc64 to install to a Sun Blade 100 system.


--Kumba
_________________
"The past tempts us, the present confuses us, the future frightens us. And our lives slip away, moment by moment, lost in that vast, terrible in-between."
--Emperor Turhan, Centauri Republic
Back to top
View user's profile Send private message
slapsh
n00b
n00b


Joined: 09 Sep 2002
Posts: 2
Location: Kostroma

PostPosted: Wed Sep 11, 2002 3:28 pm    Post subject: Reply with quote

Thank you very much. Your advice help my fully :-) I succesefully install gentoo linux on my sun ultra V.

But I have next trouble: I want to install ppp package. But I see this message:
Code:
emerge: all ebuilds that could satisfy "ppp" have been masked


If I type: emerge search ppp
I see:
Code:

[ Results for search key : ppp ]                             
[ Applications found : 7 ]                                   
                                                             
*  net-dialup/ppp [ Masked ]                                 
      Latest version available: 2.4.1-r11                     
      Latest version installed: [ Not Installed ]             
      Homepage: http://www.samba.org/ppp                     
      Description: Point-to-point protocol - patched for pppoe
... etc


What is mean "masked" message? And how I am may install ppp package?

Thank you again :-)
Back to top
View user's profile Send private message
Kumba
Developer
Developer


Joined: 16 Jul 2002
Posts: 373
Location: Sigma 957

PostPosted: Wed Sep 11, 2002 7:14 pm    Post subject: Reply with quote

You'll want to refer to the Portage Manual, as masking is a form of hiding ebuild files for testing. Once those ebuilds have been fully tested to work, they are unmasked, and can then be installed on the machine.

The file that masks other ebuilds is in /usr/portage/profiles/package.mask, but for further information, I advise on reading the Portage Manual linked above, as it'll explain far better than I can.

--Kumba
_________________
"The past tempts us, the present confuses us, the future frightens us. And our lives slip away, moment by moment, lost in that vast, terrible in-between."
--Emperor Turhan, Centauri Republic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum